--!parent
--!encoding=utf-8

--****************************************************************************
-- @package   Qt OOP API
-- @version  	0.2
-- @requires  Xtra("QtWidgets")
-- @author   	Valentin Schmidt
--****************************************************************************

global $

property ancestor
property _id
property _class

----------------------------------------
-- @constructor
----------------------------------------
-- new ()
on new (me)
  me._class = #Picture
  me.ancestor = $.include($.Qt.libDir&"classes/iObject.ls").new()
  me._id = $.Qt._qx.newObject(me._class)
  return me
end

-- static
on _make (scr, id)
	obj = scr.rawNew()
	obj.ancestor = $.include($.Qt.libDir&"classes/iObject.ls").new()
	obj._class = #Picture
	obj._id = id
	return obj
end

----------------------------------------
-- ACTIONS
----------------------------------------

-- boundingRect () -> rect
on boundingRect (me)
  return $.Qt._qx.callObject(me._id,#boundingRect)
end

-- data () -> bytearray|string
on data (me)
  return $.Qt._qx.callObject(me._id,#data)
end

-- load (string) -> bool
on load (me,p1)
  return $.Qt._qx.callObject(me._id,#load,p1)
end

-- save (string) -> bool
on save (me,p1)
  return $.Qt._qx.callObject(me._id,#save,p1)
end

-- setBoundingRect (rect)
on setBoundingRect (me,p1)
  $.Qt._qx.callObject(me._id,#setBoundingRect,p1)
end

-- setData (bytearray|string)
on setData (me,p1)
  $.Qt._qx.callObject(me._id,#setData,p1)
end

-- size () -> int
on size (me)
  return $.Qt._qx.callObject(me._id,#size)
end

----------------------------------------
-- STATIC
----------------------------------------

----------------------------------------
-- SIGNALS
----------------------------------------
